Merge pull request #224 from puppet-by-examples/single-branch
[puppet_vcsrepo.git] / Gemfile
1 source ENV['GEM_SOURCE'] || "https://rubygems.org"
2
3 def location_for(place, fake_version = nil)
4   if place =~ /^(git:[^#]*)#(.*)/
5     [fake_version, { :git => $1, :branch => $2, :require => false }].compact
6   elsif place =~ /^file:\/\/(.*)/
7     ['>= 0', { :path => File.expand_path($1), :require => false }]
8   else
9     [place, { :require => false }]
10   end
11 end
12
13 group :development, :unit_tests do
14   gem 'rake',                    :require => false
15   gem 'rspec-core', '3.1.7',     :require => false
16   gem 'rspec-puppet', '~> 1.0',  :require => false
17   gem 'puppetlabs_spec_helper',  :require => false
18   gem 'puppet-lint',             :require => false
19   gem 'simplecov',               :require => false
20   gem 'puppet_facts',            :require => false
21   gem 'json',                    :require => false
22 end
23
24 beaker_version = ENV['BEAKER_VERSION']
25 beaker_rspec_version = ENV['BEAKER_RSPEC_VERSION']
26 group :system_tests do
27   if beaker_version
28     gem 'beaker', *location_for(beaker_version)
29   end
30   if beaker_rspec_version
31     gem 'beaker-rspec', *location_for(beaker_rspec_version)
32   else
33     gem 'beaker-rspec',  :require => false
34   end
35   gem 'serverspec',    :require => false
36 end
37
38 if facterversion = ENV['FACTER_GEM_VERSION']
39   gem 'facter', facterversion, :require => false
40 else
41   gem 'facter', :require => false
42 end
43
44 if puppetversion = ENV['PUPPET_GEM_VERSION']
45   gem 'puppet', puppetversion, :require => false
46 else
47   gem 'puppet', :require => false
48 end
49
50 # vim:ft=ruby